##### 7.5.5.0. insertGenerator

Procedure from library `dmodapp.lib` (see dmodapp_lib).

Usage:
  insertGenerator(id,p[,k]);
  id an ideal/module, p a poly/vector, k an optional int

Return:
  of the same type as id

Purpose:
  inserts p into id at k-th position and returns the enlarged object

Note:
  If k is given, p is inserted at position k, otherwise (and by default),
  p is inserted at the beginning (k=1).

Example:

    LIB "dmodapp.lib";
    ring r = 0,(x,y,z),dp;
    ideal I = x^2,z^4;
    insertGenerator(I,y^3);
    ==> _[1]=y3
    ==> _[2]=x2
    ==> _[3]=z4
    insertGenerator(I,y^3,2);
    ==> _[1]=x2
    ==> _[2]=y3
    ==> _[3]=z4
    module M = I*gen(3);
    insertGenerator(M,[x^3,y^2,z],2);
    ==> _[1]=x2*gen(3)
    ==> _[2]=x3*gen(1)+y2*gen(2)+z*gen(3)
    ==> _[3]=z4*gen(3)
    insertGenerator(M,x+y+z,4);
    ==> _[1]=x2*gen(3)
    ==> _[2]=z4*gen(3)
    ==> _[3]=0
    ==> _[4]=x*gen(1)+y*gen(1)+z*gen(1)

See also: deleteGenerator.

User manual for Singular version 4.4.1, 2025, generated by texi2html.